Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.10.12

Bug #5520 pecl pickle fails on extension/package deps
Submitted: 2005-09-26 11:04 UTC
From: mike Assigned: cellog
Status: Closed Package: PEAR
PHP Version: 4.3.8 OS: Win2k
Roadmaps: (Not assigned)    
Subscription  


 [2005-09-26 11:04 UTC] mike
Description: ------------ The pecl pickle command generates weird v1 deps from the following dependency definitions in package2.xml: Test script: --------------- <dependencies> <required> <php> <min>4.3</min> <max>6.0.0</max> <exclude>6.0.0</exclude> </php> <pearinstaller> <min>1.4.1</min> </pearinstaller> </required> <optional> <extension> <name>session</name> </extension> </optional> </dependencies> Expected result: ---------------- <deps> <dep type="php" rel="ge" version="4.3"/> <dep type="php" rel="le" version="6.0.0"/> <dep type="ext" rel="has" optional="yes">session</dep> </deps> Actual result: -------------- <deps> <dep type="php" rel="ge" version="4.3"/> <dep type="php" rel="le" version="6.0.0"/> <dep type="ext" rel="ge" version="s" optional="yes">s</dep> <dep type="ext" rel="le" version="s" optional="yes">s</dep> </deps>

Comments

 [2005-09-27 04:15 UTC] cellog
This bug has been fixed in CVS. If this was a documentation problem, the fix will appear on pear.php.net by the end of next Sunday (CET). If this was a problem with the pear.php.net website, the change should be live shortly. Otherwise, the fix will appear in the package's next release. Thank you for the report and for helping us make PEAR better.